Closed Bug 461082 Opened 11 years ago Closed 11 years ago

Deliver NSS 3.12.2 Mozilla

Categories

(Firefox Build System :: General, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: kaie, Assigned: kaie)

References

Details

(Keywords: verified1.9.0.5)

Attachments

(2 files, 2 obsolete files)

Deliver NSS 3.12.2 and NSPR 4.7.2 to Mozilla

We'd like to start doing this for Mozilla trunk now, and deliver to Firefox 3.0.x branch, once 3.0.4 is done.
Attached file Proposal for updating NSS (obsolete) —
Nelson or Wan-Teh, could you please approve this plan (as discussed earlier)?
Attachment #344226 - Flags: superreview?(wtc)
Attachment #344226 - Flags: review?(nelson)
Attachment #344226 - Flags: review?(nelson) → review?(rrelyea)
Attachment #344226 - Attachment is obsolete: true
Attachment #344226 - Flags: superreview?(wtc)
Attachment #344226 - Flags: review?(rrelyea)
Attached file proposal
Assignee: nobody → kaie
Attachment #344395 - Flags: review?(wtc)
Blocks: 461250
Comment on attachment 344395 [details]
proposal

r=wtc.
Attachment #344395 - Flags: review?(wtc) → review+
marking fixed.

Should the current NSS 3.12.2 release candidate not be the final one, I might reopen this bug.

78d4f20a71a8
Status: NEW → RESOLVED
Closed: 11 years ago
Resolution: --- → FIXED
Attached patch equivalent for mozilla 1.9.0 (obsolete) — Splinter Review
Attachment #346074 - Flags: approval1.9.0.5?
cc'ing NSPR and NSS folks, just FYI, to let you know we're now going to deliver NSPR 4.7.2 and NSS 3.12.2 (RC1) to the stable Firefox 3.0.x branch
NSPR 4.7.2 has a regression that affects Solaris 8 and 9 only
(bug 461502).  It would be nice to wait for NSPR 4.7.3.  You
can deliver NSS 3.12.2 (RC1) first.
How much of a wait? This sort of change we'd like to get in at the beginning of a release cycle for testing since there's not great coverage of NSS and NSPR features.
(In reply to comment #8)
> How much of a wait?

Looks like a fix for bug 461502 is not yet in hand.

Let's go with Wan-Teh's proposal and land the newer NSS, only.
I'll attach a new patch.
Attachment #346074 - Attachment is obsolete: true
Attachment #346137 - Flags: approval1.9.0.5?
Attachment #346074 - Flags: approval1.9.0.5?
Comment on attachment 346137 [details] [diff] [review]
Patch for 1.9.0, only NSS; v2

Approved for 1.9.0.5. a=ss

Please land when the tree is open. Also, track the addition of a  new NSPR on the 1.9 branch in a new bug.
Attachment #346137 - Flags: approval1.9.0.5? → approval1.9.0.5+
changing subject to be about NSS, only.

Checked in to cvs for 1.9.0.5

Will probably use bug 463073 for NSPR 4.7.3 upgrade (once solaris bug has been baken and rtm tag declared)
Keywords: fixed1.9.0.5
Summary: Deliver NSS 3.12.2 and NSPR 4.7.2 to Mozilla → Deliver NSS 3.12.2 Mozilla
Verified that this is checked in. Not much to do here for 1.9.0.5.
Blocks: 471424
Product: Core → Firefox Build System
You need to log in before you can comment on or make changes to this bug.